> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitoearn.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 确认资源上传

> 接口说明：客户端直传对象存储完成后回调确认，记录资源最终状态与访问路径。



## OpenAPI

````yaml /openapi/zh/aitoearn.openapi.json post /api/assets/{id}/confirm
openapi: 3.0.1
info:
  title: AiToEarn 开放平台 API
  description: AiToEarn 开放平台 API，支持在中国站与国际站之间切换调试。业务是否成功以响应体 code === 0 为准。
  version: 1.0.0
  contact: {}
servers:
  - url: https://aitoearn.cn
    description: 中国站
  - url: https://aitoearn.ai
    description: 国际站
security: []
tags:
  - name: AI 服务
  - name: AI 服务/视频生成
  - name: AI 服务/图像生成
  - name: 渠道管理
  - name: 渠道管理/账号
  - name: 渠道管理/内容发布
  - name: 渠道管理/平台
  - name: 渠道管理/作品
  - name: 渠道管理/账号分组
  - name: 渠道管理/授权
  - name: 资源管理
  - name: AI 服务/大语言模型
  - name: AI 服务/真人素材
  - name: AI 服务/Agent
paths:
  /api/assets/{id}/confirm:
    post:
      tags:
        - 资源管理
      summary: 确认资源上传
      description: 接口说明：客户端直传对象存储完成后回调确认，记录资源最终状态与访问路径。
      operationId: AssetsHttpController_confirmUpload
      parameters:
        - name: id
          in: path
          description: ''
          required: true
          example: asset-id-from-upload-sign
          schema:
            type: string
            example: asset-id-from-upload-sign
      responses:
        '200':
          description: 请求已被服务处理。业务是否成功以响应体 code === 0 为准。
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                      userId:
                        type: string
                      userType:
                        type: string
                      path:
                        type: string
                      url:
                        type: string
                      type:
                        type: string
                      status:
                        type: string
                      size:
                        type: number
                      mimeType:
                        type: string
                      filename:
                        type: string
                      createdAt:
                        type: string
                      updatedAt:
                        type: string
                    additionalProperties: false
                  code:
                    type: integer
                    description: 业务状态码。0 表示成功，非 0 表示业务错误。
                  message:
                    type: string
                    description: 响应消息。
                  requestId:
                    type: string
                    description: 请求 ID。
                  timestamp:
                    type: integer
                    description: 错误响应时间戳，Unix 毫秒。
                required:
                  - code
                  - message
              examples:
                success:
                  summary: 成功
                  value:
                    code: 0
                    message: 请求成功
                    data:
                      id: string
                      userId: string
                      userType: string
                      path: string
                      url: string
                      type: string
                      status: string
                      size: number
                      mimeType: string
                      filename: string
                      createdAt: string
                      updatedAt: string
                    requestId: string
      deprecated: false
      security:
        - apikey-header-X-Api-Key: []
components:
  securitySchemes:
    apikey-header-X-Api-Key:
      type: apiKey
      in: header
      name: X-Api-Key
      description: 需要从 AiToEarn 获取 API Key。点击前往[「API Key 获取教程」](/zh/use/api-key)。

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.